> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# [DEPRECATED] Create a new version of a Registered Model

> **DEPRECATED**: This endpoint is deprecated as of version 6.2.1.
Please migrate to POST /api/registeredmodels/v2 for enhanced functionality.




## OpenAPI

````yaml /api-specs/cloud/public-api.json post /api/registeredmodels/v1/{modelName}/versions
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/registeredmodels/v1/{modelName}/versions:
    post:
      tags:
        - Registered models
      summary: '[DEPRECATED] Create a new version of a Registered Model'
      description: >
        **DEPRECATED**: This endpoint is deprecated as of version 6.2.1.

        Please migrate to POST /api/registeredmodels/v2 for enhanced
        functionality.
      operationId: createRegisteredModelVersionFromRun
      parameters:
        - description: Registered model name
          in: path
          name: modelName
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewRegisteredModelVersionV1'
        description: Details of the model version to create
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisteredModelVersionDetailsV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      deprecated: true
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    NewRegisteredModelVersionV1:
      properties:
        artifact:
          description: The artifact of the run to create the version from
          example: LogisticRegression
          type: string
        description:
          description: The description of the registered model version
          example: Logistic regression model version 2
          type: string
        experimentRunId:
          description: The id of the experiment run to create the version from
          example: a8ea375c781d4b9c8e58469f0ad738f8
          type: string
      required:
        - description
        - experimentRunId
        - artifact
      type: object
    RegisteredModelVersionDetailsV1:
      properties:
        createdAt:
          description: When the latest version of the model was created
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        experimentRunId:
          description: The name of experiment run linked to the model version
          example: db79712b47084c27a463a188bf901943
          type: string
        modelName:
          description: Name of the registered model
          example: churn-prediction
          type: string
        modelVersion:
          description: The latest version of the model
          example: 4
          type: integer
        modelVersionDescription:
          description: Description of the model version
          example: Customer churn model V1
          type: string
        ownerUsername:
          description: username of the project owner
          example: martin_hito
          type: string
        project:
          $ref: '#/components/schemas/RegisteredModelProjectSummaryV1'
        tags:
          $ref: '#/components/schemas/RegisteredModelTagsV1'
        updatedAt:
          description: When the latest version of the model was updated
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        versionUiDetails:
          $ref: '#/components/schemas/RegisteredModelVersionUiDetailsV1'
      required:
        - modelName
        - modelVersion
        - modelVersionDescription
        - experimentRunId
        - project
        - versionUiDetails
        - tags
        - ownerUsername
        - createdAt
        - updatedAt
      type: object
    RegisteredModelProjectSummaryV1:
      description: type that tracks properties of the project associated with a model
      properties:
        id:
          description: ID of the project housing the model
          example: 62313ce67a0af0281c01a6a5
          type: string
        isGitBasedProject:
          description: Whether the project is a git-based project
          type: boolean
        name:
          description: Name of the project overview housing the model
          example: TO-DO
          type: string
        ownerUsername:
          description: Name of the project owner
          example: TO-DO
          type: string
      required:
        - id
        - name
        - ownerUsername
        - isGitBasedProject
      type: object
    RegisteredModelTagsV1:
      additionalProperties:
        type: string
      description: A map of key -> value
      example:
        key: value
        key2: anothervalue
      type: object
    RegisteredModelVersionUiDetailsV1:
      properties:
        experimentRunInfo:
          $ref: '#/components/schemas/RegisteredModelVersionExperimentRunInfoV1'
        modelVersionDataSources:
          items:
            $ref: '#/components/schemas/RegisteredModelVersionDataSourceDetailsV1'
          type: array
        modelVersionDatasets:
          items:
            $ref: '#/components/schemas/RegisteredModelVersionDatasetDetailsV1'
          type: array
      required:
        - experimentRunInfo
        - modelVersionDataSources
        - modelVersionDatasets
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    RegisteredModelVersionExperimentRunInfoV1:
      properties:
        metrics:
          description: Run metrics.
          items:
            $ref: '#/components/schemas/RegisteredModelVersionExperimentRunMetricV1'
          type: array
        params:
          description: Run parameters.
          items:
            $ref: '#/components/schemas/RegisteredModelVersionExperimentRunParamV1'
          type: array
        runUrl:
          description: The snapshotId of the dataset
          type: string
      required:
        - metrics
        - params
        - runUrl
      type: object
    RegisteredModelVersionDataSourceDetailsV1:
      properties:
        dataSourceType:
          description: The dataSourceType of the datasource
          type: string
        id:
          description: The id of the datasource
          type: string
        name:
          description: The name of the datasource
          type: string
      required:
        - name
        - id
        - dataSourceType
      type: object
    RegisteredModelVersionDatasetDetailsV1:
      properties:
        id:
          description: The id of the dataset
          type: string
        name:
          description: The name of the dataset
          type: string
        snapshotId:
          description: The snapshotId of the dataset
          type: string
      required:
        - name
        - id
        - snapshotId
      type: object
    RegisteredModelVersionExperimentRunMetricV1:
      properties:
        key:
          description: Key identifying this metric.
          type: string
        timestamp:
          description: The timestamp at which this metric was recorded.
          example: '2022-03-12T02:13:44.467Z'
          format: date-time
          type: string
        value:
          description: Value associated with this metric.
          format: double
          type: number
      required:
        - key
        - value
        - timestamp
      type: object
    RegisteredModelVersionExperimentRunParamV1:
      properties:
        key:
          description: Key identifying this param.
          type: string
        value:
          description: Value associated with this param.
          type: string
      required:
        - key
        - value
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [[DEPRECATED] Create a new Registered Model from an experiment run](/api-reference/registered-models/[deprecated]-create-a-new-registered-model-from-an-experiment-run.md)
- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Create a new Gen AI Endpoint](/api-reference/genai/create-a-new-gen-ai-endpoint.md)
- [Create a new Model Deployment](/api-reference/model-deployment/create-a-new-model-deployment.md)
